Skip to content
CARP Docs
Ask AISystemLightDark

Append

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor
PUT
/api/studies/{study-id}/documents/{document-id}/append
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

study-id*string
document-id*integer
Formatint32
application/json
  1. body
name*|
Length1 <= length
data*|null

Response body

OK

*/*
  1. response
createdBy?string|null
createdAt?|
Formatdate-time
updatedBy?string|null
updatedAt?|
Formatdate-time
id?integer
Formatint32
name*string
collectionId*|
Formatint32
data?|null
Example request
curl -X PUT 'https://dev.carp.dk/api/studies/string/documents/0/append' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "data": {}}'
Example response
{  "createdBy": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedBy": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "id": 0,  "name": "string",  "collectionId": 0,  "data": {    "integralNumber": true,    "missingNode": true,    "floatingPointNumber": true,    "nodeType": "ARRAY",    "string": true,    "textual": true,    "boolean": true,    "binary": true,    "valueNode": true,    "container": true,    "object": true,    "pojo": true,    "short": true,    "int": true,    "long": true,    "double": true,    "bigDecimal": true,    "bigInteger": true,    "number": true,    "array": true,    "empty": true,    "null": true,    "float": true,    "embeddedValue": true  }}

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture